Description

    -  Turn EventProcessingStrategy into an Interface
    -  Move current behavior into a ParallelEventProcessingStrategy or similar

Associated revisions
Revision 6f43009a - 04/21/2011 09:56 AM - J. Moringen
Turned EventProcessingStrategy into an interface as described in
refs #246
    -  c++/core/src/rsb/eventprocessing/EventProcessingStrategy.{h,cpp}:

  turned into abstract class; implementation has moved into
  ParallelEventProcessingStrategy.{h,cpp}

    -  c++/core/src/rsb/eventprocessing/ParallelEventProcessingStrategy.{h,cpp}:
  contains event processing strategy formerly contained in
  EventProcessingStrategy.{h,cpp}

    -  c++/core/src/rsb/eventprocessing/Router.cpp: instantiate
  ParallelEventProcessingStrategy

    -  c++/core/src/CMakeLists.txt: added
  c++/core/src/rsb/eventprocessing/ParallelEventProcessingStrategy.{h,cpp}

    -  c++/core/test/rsb/eventprocessing/ParallelEventProcessingStrategyTest.cpp:
    -  renamed from EventProcessingStrategyTest.cpp
    -  c++/core/test/CMakeLists.txt: adapted to account for renamed

  ParallelEventProcessingStrategyTest.cpp

History
#1 - 04/14/2011 11:52 PM - J. Moringen
- Tracker changed from Bug to Tasks
- Subject changed from Turn EventProcessing to Turn EventProcessingStrategy into an Interface
- Category set to C++

#2 - 04/16/2011 01:22 AM - J. Moringen
- Status changed from New to In Progress
- Assignee set to J. Moringen

#3 - 04/21/2011 09:44 AM - J. Moringen
- % Done changed from 0 to 70

#4 - 04/21/2011 10:14 AM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 70 to 100
